Subject: Re: bug#8615: Please make sure v q removes the buffer for JPGs just like it does for other files

From: Juri Linkov <[email-masked]>
Date: Wed, 23 Nov 2011 00:39:34 +0200

> The only things left in the *Buffer List* after lots of v q SPC v q SPC
> are directories... but I guess there is some reason to keep them laying around?

Following the same strict logic, typing `v' on a directory should enable
`view-mode' in Dired mode, so jidanni could use `q' to kill Dired buffers.
Of course, this makes no sense, like it makes no sense to enable
`view-mode' in Archive mode that is very similar to Dired mode.

So I see only one way to resolve this situation it to revert the regression
(another reason to do that is that logic of enabling `view-mode' should be
the same as in `toggle-read-only' that checks only for special mode,
not for `buffer-file-name').

As for the request for `q' to kill Dired and Image buffers,
we could recommend jidanni to put in his .emacs these two lines:

  (global-set-key [remap quit-window]
    (lambda () (interactive) (quit-window (not current-prefix-arg))))